Subject: bug#6075: Lucid trunk build crashes at start

From: Jan Djärv <[email-masked]>
Date: Sun, 02 May 2010 10:36:49 +0200

Stefan Monnier skrev 2010-05-02 07.34:
> Package: Emacs
> Version: 24.0.50
>
> My Lucid build of Emacs crashes right at the start before any frame gets
> opened (emacs -nw works fine):
>
>     (gdb) r -Q
>     Starting program: /home/monnier/src/emacs/bzr/trunk/src/emacs -Q
>     [Thread debugging using libthread_db enabled]
>
>     Program received signal SIGSEGV, Segmentation fault.
>     0xb7f1cad0 in XtInitializeWidgetClass () from /usr/lib/libXt.so.6
>     (gdb) bt
>     #0  0xb7f1cad0 in XtInitializeWidgetClass () from /usr/lib/libXt.so.6
>     #1  0xb7f1daf8 in _XtCreateWidget () from /usr/lib/libXt.so.6
>     #2  0xb7f1dea4 in XtCreateWidget () from /usr/lib/libXt.so.6
>     #3  0x081ea276 in x_window (f=0x8a7c0b0, window_prompting=0,
>         minibuffer_only=0) at xfns.c:2530

I can't reproduce this.  I used your configure flags, and tried with Xaw3d and 
straight Xaw.  I guess it is some memory corruption or aligment problem.  Can 
you compile without Xaw3d and just use standard Xaw?  You don't have that gcc 
4.4 memcpy bug?  Does it happen wih -O0 also?

If you compiled Xaw3d yourself, recompile it with debug and run gdb to the crash.

	Jan D.